Subject: Re: bug#26714: non-intel systems should use grub-efi

From: Chris Marusich <[email-masked]>
Date: Sun, 30 Apr 2017 12:57:28 -0700

Efraim Flashner <[email-masked]> writes:

> I'm starting to stumble my way through building an install image for
> aarch64, and I changed gnu/system/install.scm to use 'grub-efi' in place
> of 'grub' in the list of packages (~line 333). Grub-efi builds
> successfully on armhf and aarch64 and grub does not, and as part of
> compiling install.scm grub is built as part of assembling the image.
>
> guix size grub:     157.5 MiB
> guix size grub-efi: 160.5 MiB
>
> I don't know a lot of how the install image is put together, or if using
> grub-efi in place of grub for building the image would be a problem for
> non-efi machines, but for non-intel machines at least we should use
> grub-efi for the grub calls.

Do the system installation tests pass with that change?  You can run the
following to find out:

  make check-system

-- 
Chris